package ro.ieval.unical;

import java.text.SimpleDateFormat;
import java.util.GregorianCalendar;

import android.app.Activity;
import android.app.DatePickerDialog;
import android.app.DatePickerDialog.OnDateSetListener;
import android.app.Dialog;
import android.app.DialogFragment;
import android.os.Bundle;
import android.view.View;
import android.webkit.WebView.FindListener;
import android.widget.DatePicker;
import android.widget.EditText;

public class DatePickerFragment extends DialogFragment
	implements OnDateSetListener {
	
	@Override
	public Dialog onCreateDialog(Bundle savedInstanceState) {
		// Use the current time as the default values for the picker
		final GregorianCalendar c = (GregorianCalendar) GregorianCalendar.getInstance();
		int year = c.get(GregorianCalendar.YEAR);
		int month = c.get(GregorianCalendar.MONTH);
		int day = c.get(GregorianCalendar.DAY_OF_MONTH);

		// Create a new instance of TimePickerDialog and return it
		return new DatePickerDialog(getActivity(), this, year, month, day);
	}
	@Override
	public void onDateSet(DatePicker picker, int year, int month, int day) {
		if(picker.getId()==R.id.date_start) {
			//EditText ds = (EditText) a.findViewById(R.id.date_start);
			//EditText de = (EditText) a.findViewById(R.id.date_end);
			//ds.setText(String.format("%d-%d-%d", year,month,day));
			//de.setText(String.format("%d-%d-%d", year,month,day));
		}else {
			//EditText de = (EditText) a.findViewById(R.id.date_end);
			//de.setText(String.format("%d-%d-%d", year,month,day));
		}
	}
}